aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2015-04-06 15:00:01 +0100
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2015-04-06 15:00:01 +0100
commit9392405b8b0f4df264a82296753ae786fcb1fe97 (patch)
tree71a4cbf4841cddd3aca53edc0375175ce1f89128 /scripts
parent9ea590c4dd79f1d3f6ccad42fd4a9d632df0254c (diff)
Avoid annoying warnings from test-schroot's iptables
Not all boards run iptables, so ignore any errors from it. Change-Id: Ic0959fa6d042dd43b61da878b5c0ddfd889091b0
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/test-schroot.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/test-schroot.sh b/scripts/test-schroot.sh
index 488d14a8..939113d0 100755
--- a/scripts/test-schroot.sh
+++ b/scripts/test-schroot.sh
@@ -158,7 +158,7 @@ if $begin_session; then
$schroot sed -i -e "'/check_for_upstart [0-9]/d'" /etc/init.d/ssh
$schroot /etc/init.d/ssh start
# Crouton needs firewall rule.
- $schroot iptables -I INPUT -p tcp --dport $port -j ACCEPT || true
+ $schroot iptables -I INPUT -p tcp --dport $port -j ACCEPT >dev/null 2>&1 || true
# Debian (but not Ubuntu) has wrong permissions on /bin/fusermount.
$schroot chmod +x /bin/fusermount || true
@@ -283,7 +283,7 @@ if $finish_session; then
fi
if $finish_session; then
- $schroot iptables -I INPUT -p tcp --dport $port -j REJECT || true
+ $schroot iptables -I INPUT -p tcp --dport $port -j REJECT >/dev/null 2>&1 || true
ssh $target_ssh_opts $target schroot -f -e -c session:$profile-$port | true
if [ x"${PIPESTATUS[0]}" != x"0" ]; then
# tcwgbuildXX machines have a kernel problem that a bind mount will be